spring.profiles.active=dev
spring.application.name=sop-gateway
server.port=8081

####### gateway config #######
# request entry path
gateway.path=/api
# restfull entry path
gateway.rest=/rest
# manager cache type, local/redis
gateway.manager.cache-type=local
# api manager,local/redis
gateway.manager.api=${gateway.manager.cache-type}
# isv manager,local/redis
gateway.manager.isv=${gateway.manager.cache-type}
# secret manger,local/redis
gateway.manager.secret=${gateway.manager.cache-type}
# isv api permission manager,local/redis
gateway.manager.isv-api-perm=${gateway.manager.cache-type}
# json serialize formatter: fastjson2/gson
gateway.serialize.json-formatter=fastjson2
# serialize date format
gateway.serialize.date-format=yyyy-MM-dd HH:mm:ss

####### parameter name config #######
api.app-id-name=app_id
api.api-name=method
api.format-name=format
api.charset-name=charset
api.sign-type-name=sign_type
api.sign-name=sign
api.timestamp-name=timestamp
api.version-name=version
api.notify-url-name=notify_url
api.app-auth-token-name=app_auth_token
api.biz-content-name=biz_content

####### other config #######
# api request timeout
api.timeout-seconds=300
# timestamp pattern
api.timestamp-pattern=yyyy-MM-dd HH:mm:ss
# default zone
api.zone-id=Asia/Shanghai

####### dubbo config #######
dubbo.protocol.name=dubbo
dubbo.protocol.port=-1
dubbo.application.qos-enable=false
# ### register config see:https://cn.dubbo.apache.org/zh-cn/overview/mannual/java-sdk/reference-manual/registry/overview/
# ------
# nacos://localhost:8848        Cluster config:nacos://localhost:8848?backup=localshot:8846,localshot:8847
# zookeeper://localhost:2181    Cluster config:zookeeper://10.20.153.10:2181?backup=10.20.153.11:2181,10.20.153.12:2181
# redis://localhost:6379        Cluster config:redis://10.20.153.10:6379?backup=10.20.153.11:6379,10.20.153.12:6379
# ------
dubbo.registry.address=nacos://localhost:8848
# max payload size, 10MB
# 1KB = 1024
# 1MB = 1048576
# 1GB = 1073741824
# 1TB = 1099511627776
dubbo.protocol.payload=10485760

####### file upload config #######
# one file max size limit
upload.one-file-max-size=1MB
# total files max size limit
upload.total-file-max-size=5MB
# Ensure that this configuration is larger than {upload.one-file-max-size}
spring.servlet.multipart.max-file-size=6MB
# Ensure that this configuration is larger than {upload.total-file-max-size} and {dubbo.protocol.payload}
spring.servlet.multipart.max-request-size=20MB

####### mysql config #######
mysql.host=127.0.0.1:3306
mysql.db=sop
mysql.username=
mysql.password=

spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
spring.datasource.url=jdbc:mysql://${mysql.host}/${mysql.db}?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&serverTimezone=Asia/Shanghai
spring.datasource.username=${mysql.username}
spring.datasource.password=${mysql.password}

####### redis config #######
spring.redis.host=localhost
spring.redis.port=6379
spring.redis.database=0

####### mybatis config #######
mybatis.fill.com.gitee.fastmybatis.core.support.LocalDateTimeFillInsert=add_time
mybatis.fill.com.gitee.fastmybatis.core.support.LocalDateTimeFillUpdate=update_time
# mybatis config file
mybatis.config-location=classpath:mybatis/mybatisConfig.xml
# print sql, true/false
mybatis.print-sql=false

# log level
logging.level.com.gitee.sop=info
# log path
logging.file.name=logs/sop-gateway.log
# print SQL
logging.level.com.gitee.sop.gateway.dao=error
logging.level.com.gitee.fastmybatis=info

